=== modified file 'bzrlib/commit.py'
--- bzrlib/commit.py	2007-07-23 03:57:11 +0000
+++ bzrlib/commit.py	2007-08-03 01:46:21 +0000
@@ -685,9 +685,8 @@
         # it fails; a better way of approaching this is to 
         # finally implement the explicit-caches approach design
         # a while back - RBC 20070306.
-        if (sub_tree.branch.repository.bzrdir.root_transport.base
-            ==
-            self.work_tree.branch.repository.bzrdir.root_transport.base):
+        if sub_tree.branch.repository.has_same_location(
+            self.work_tree.branch.repository):
             sub_tree.branch.repository = \
                 self.work_tree.branch.repository
         try:

=== modified file 'bzrlib/merge.py'
--- bzrlib/merge.py	2007-07-31 11:20:50 +0000
+++ bzrlib/merge.py	2007-08-03 01:46:21 +0000
@@ -304,8 +304,7 @@
                                                   self.this_branch)
 
     def _maybe_fetch(self, source, target, revision_id):
-        if (source.repository.bzrdir.root_transport.base !=
-            target.repository.bzrdir.root_transport.base):
+        if not source.repository.has_same_location(target.repository):
             target.fetch(source, revision_id)
 
     def find_base(self):

